<!DOCTYPE html>
<html>
<head>
<title>Edit {{ emoji }}</title>
<style>
main {
  max-width: 1024px;
  margin: 0 auto;
  display: flex;
}
td,th {
  border: 1px solid silver;
}
td {
  padding: 0;
}
table {
  border-collapse: collapse;
}
th {
  text-align: left;
  background: #eee;
}
.menu-list {
    height: 128px;
    overflow-y: scroll;
    list-style: none;
    display: flex;
    flex-flow: column;
    margin: 0;
    padding: 0;
}
.menu-list > li > img {
    width: 128px
}
.preview {
  font-size: 128px;
}
.title {
  font-weight: bold;
}
.unicode {
  font-family: monospace;
}
.emojimage {
  width: 256px;
}
.image {
    display: flex;
    align-items: end;
}
form {
    margin-left: 1ex;
}
button:first-child:last-child {
    width: 100%;
}
.buttons {
    display: flex;
}
.buttons > * {
    flex-grow: 1;
}
</style>
</head>
<body>
<main>
    <header>
        <div class="title">{{ emoji.name }}</div>
        <div class="group">{{ emoji.group }}</div>
        <div class="unicode">{{ emoji.hex_title }}</div>
        <div class="preview">{{ emoji.emoji }}</div>
    </header>
    <div class="images">
        {% for image in emoji.images.all %}
            <div class="image">
                <img src="{{ image.image.url }}" class="emojimage" />
                <form method="post" autocomplete="off" enctype="multipart/form-data">
                    {% csrf_token %}
                    <input type="hidden" name="id" value="{{ image.id }}" />
                    <div class="buttons">
                        <button name="action" value="mvup">Up</button>
                        <button name="action" value="mvdown">Down</button>
                        <a href="{% url "admin:glaxmoji_emojiimage_change" image.id %}">
                            <button type="button">Admin</button></a>
                        <button name="action" value="delete">Delete</button>
                    </div>
                    <div>
                        <input type="text" value="{{ image.author|default:"" }}" name="author" placeholder="Author"/>
                        <button name="action" value="update">Update</button>
                    </div>
                    <div>
                        <input type="file" name="image" />
                        <button name="action" value="replace">Replace</button>
                    </div>
                </form>
            </div>
        {% endfor %}
    </div>
</main>
</body>
